<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;400&display=swap" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
        integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="views/assets/css/loginAndRegis.css">

    <title>Login</title>
</head>

<body>

    <div>
        <div class="row">
            <div>
                <a href="/"><img class="layer-1" src="views/assets/images/website.svg"
                        style="background-color: transparent;"></a>
            </div>
            <div class="col-xl-6">
                <img src="views/assets/images/register.svg" style="object-fit: cover ;width: 100%; min-height: 800px"
                    alt="" id="leftPicture">
            </div>
            <div class="col-xl-6">
                <div id="contenLogin">
                    <!-- Tulisan Atas -->
                    <div id="text">
                        <p id="Kepala">Hai, <br> Selamat datang kembali</p>
                        <p id="Leher">Masuk dan temukan jawaban dari rasa penasaranmu.</p>
                    </div>
                    <p id="pendaftaranberhasil">Pendaftaran berhasil. Silahkan Login!</p>
                    <form action="/login" method="POST" style="padding-top: 20px;">
                        <!-- USERNAME -->
                        <div class="input-group mb-3" id="inputUser">
                            <!-- input user -->
                            <span class="input-group-text" id="basic-addon1"
                                style="background-color: transparent; border-right: transparent; border-radius: 15px 0px 0px 15px;"><i
                                    class="fa fa-user" id="orang"></i></span>
                            <input class="form-control" type="text" placeholder="Nama Pengguna" name="username"
                                id="txtUsername" style="border-left: transparent;">
                        </div>
                        <p id="valUser">|</p>


                        <!-- PASSWORD -->
                        <div class="input-group mb-3" id="inputPassword">
                            <!-- input password -->
                            <span class="input-group-text" id="basic-addons1"
                                style="background-color: transparent; border-right: transparent; border-radius: 15px 0px 0px 15px;"><i
                                    id="gembok" class="fa fa-lock"></i></span>
                            <input class="form-control" type="password" placeholder="Kata Sandi" name="password"
                                id="txtPassword" style="border-left:transparent; border-right: transparent;">
                            <!-- Icon melihat password -->
                            <span class="input-group-text" id="basic-addons1"
                                style="background-color: transparent; border-left: transparent; border-radius: 0px 15px 15px 0px;"><i
                                    id="toggle_pwd1" class="fa fa-fw fa-eye-slash field_icon"></i></span>
                            <div>

                            </div>
                            <!-- script melihat password -->
                            <script type="text/javascript">
                                $(function () {
                                    $("#toggle_pwd1").click(function () {
                                        $(this).toggleClass("fa-eye-slash fa-eye");
                                        var type = $(this).hasClass("fa-eye") ? "text" : "password";
                                        $("#txtPassword").attr("type", type);
                                    });
                                });
                            </script>
                        </div>
                        <p id="valPass"></p>


                    <!-- TOMBOL MASYOK -->
                    <div class="d-grid gap-2 col-12 mx-block">
                        <button class="btn btn-secondary" type="button" id="btnSubmited"
                            value="Submit form">Masuk</button>
                    </div>

                        <!-- TOMBOL MASYOK -->
                        <div class="d-grid gap-2 col-12 mx-block">
                            <button class="btn btn-secondary" type="submit" id="btnSubmited"
                                value="Submit form">Masuk</button>
                        </div>

                        <!-- SCRIPT -->
                        <script>
                            $('#pendaftaranberhasil').hide();
                            const urlParams = new URLSearchParams(window.location.search);
                            const myParam = urlParams.get('message');
                            if (myParam == "pendaftaran_berhasil") {
                                $('#pendaftaranberhasil').show();
                            }
                        </script>

                        <script>
                            const cookieExists = Cookies.get('jwt');

                            if (cookieExists) {
                                window.location = "/dashboard";
                            }
                        </script>
                    </form>
                    <p align="center" id="sudah">Belum memiliki akun? <a href="/register">Daftar</a></p>
                </div>
            </div>

        </div>
    </div>
    </div>


</body>

</html>